Package org.apache.sling.repoinit.parser.operations

# Class RegisterNodetypes

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation
org.apache.sling.repoinit.parser.operations.RegisterNodetypes

@ProviderType public class RegisterNodetypes extends Operation
An embedded block of text

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CND_OPTIONAL_PREFIX`
Optional prefix used at the beginning of CND lines, to avoid conflicts with Sling provisioning model parser.

### Fields inherited from class org.apache.sling.repoinit.parser.operations.Operation

`DQUOTE`

## Constructor Summary

Constructors
Constructor
Description
`RegisterNodetypes(String cndStatements)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(OperationVisitor v)`
`@NotNull String`
`asRepoInitString()`
Converts this operation instance to a RepoInit string representation including the current operation parameters.
`static @NotNull List<String>`
`generateRepoInitLines(@NotNull BufferedReader rawLines)`
`String`
`getCndStatements()`
`protected String`
`getParametersDescription()`
`String`
`toString()`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.Operation

`cleanupQuotedString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CND_OPTIONAL_PREFIX

public static final String CND_OPTIONAL_PREFIX
Optional prefix used at the beginning of CND lines, to avoid conflicts with Sling provisioning model parser. If present at the beginning of CND lines, this string is removed.

See Also:
  - Constant Field Values

## Constructor Details

### RegisterNodetypes

public RegisterNodetypes(String cndStatements)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Operation`

### getParametersDescription

protected String getParametersDescription()

Specified by:
  `getParametersDescription` in class `Operation`

### asRepoInitString

@NotNull public @NotNull String asRepoInitString()
Description copied from class: `Operation`
Converts this operation instance to a RepoInit string representation including the current operation parameters. The representation must be parsable back into an equivalent operation and must end with a OS-compatible line separator.

Specified by:
  `asRepoInitString` in class `Operation`
Returns:
  the repoinit string for the operation

### generateRepoInitLines

@NotNull public static @NotNull List<String> generateRepoInitLines(@NotNull @NotNull BufferedReader rawLines) throws IOException

Throws:
  `IOException`

### accept

public void accept(OperationVisitor v)

Specified by:
  `accept` in class `Operation`

### getCndStatements

public String getCndStatements()